# topic

Identifies the Kafka topic from which imkafka consumes messages.

This parameter applies to imkafka: read from Apache Kafka.

Name:

  topic

Scope:

  input

Type:

  string

Required?:

  yes

Introduced:

  8.27.0

## Description

Specifies the name of the Kafka topic from which messages will be consumed. This is a mandatory parameter for the imkafka input.

## Input usage

    module(load="imkafka")
    input(type="imkafka" topic="static")

## See also

See also imkafka: read from Apache Kafka.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.